/*======================
 *	train.h
 *=====================*/
#include "mcc_generated_files/mcc.h"
#include "mcc_generated_files/examples/i2c1_master_example.h"
#include <stdio.h>
#include "i2cLCD_AQM0802A.h"

#define _XTAL_FREQ  32000000
#define PWM_OUT(x)  (PWM5_LoadDutyValue(x))
#define SWITCH_IN   Sw_A3_PORT
#define WAIT_CHAT()   __delay_ms(20)

enum {
	BREAK = 0,
	LOWLM,
	SLWSP,
	CNTSP,
	ACCEL,
	DECEL,
	UPRLM,
    RAEDY,
	TRABL,
    POINT,
    TRAIN
}Drv_Stat;

struct train_p{
	uint8_t	 acf;			// W
	uint8_t	 dcf;			// W
	uint16_t rsL;			// s~PWMpX
	uint16_t upL;			// sPWpX
	uint16_t slw;			// sPWMpXi~j
};	

struct drv_val{
	uint8_t	 nxt;			// Xebvԍ
	uint16_t spd;			// wߑsPWMp
	uint8_t	 drc;			// wߑs
	uint16_t stm;			// ~ԁi100msPʁj
};
